Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.InvalidOperationException

Represents an error that occurs while accessing the Internet through a pluggable protocol.

is thrown by classes derived from and that implement pluggable protocols when an error occurs in while accessing the Internet.

When is thrown by a method in a class derived from , the property provides the Internet response to the application.

- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error. This message takes into account the current system culture. The and properties of the new instance are initialized to . The property is initialized to .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The and properties of the new instance are initialized to . The property is initialized to .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current exception. If is non-null, then the current Exception was raised in a catch block handling .

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property of the new instance are initialized to . The property is initialized to .

  For more information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  A value that describes the status of the network connection after the exception is thrown.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using and using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The and properties of the new instance are initialized to .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current exception. If is non-null, then the current Exception was raised in a catch block handling .
  A value that describes the status of the network connection after the exception is thrown.
  A instance containing the response from the host.

  Constructs and initializes a new instance of the class with the specified error message, nested exception, status, and response.

  This constructor initializes the property of the new instance using the property using , the property using , and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  System.Net.WebResponse

  Gets the that the host returned.

  A instance containing the error response if one is available; otherwise, .

  This property is read-only.

  Some Internet protocols, such as HTTP, return otherwise valid responses indicating that an error has occurred at the protocol level. When the response to an Internet request indicates an error, sets the property to and provides the containing the error message in the property of the that was thrown. The can be examined to determine the actual error.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.WebExceptionStatus

  Gets a value that indicates the status of the response.

  A value that indicates the status of the response.

  This property is read-only.

  The property indicates the reason for the current exception.

  The default value for this property is .

  0
  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
0